package mjc.egg;
import mjc.compiler.*;
import mjc.gc.*;
import mjc.lib.*;
import mjc.lib.type.*;
import mjc.lib.classe.*;
import mg.egg.eggc.compiler.libjava.lex.*;
import mg.egg.eggc.compiler.libjava.*;
import mg.egg.eggc.compiler.libjava.problem.IProblem;
import java.util.Vector;
public class S_ESX_MJAVA {
LEX_MJAVA scanner;
  S_ESX_MJAVA() {
    }
  S_ESX_MJAVA(LEX_MJAVA scanner) {
    this.scanner = scanner;
    this.att_scanner = scanner;
    }
int [] sync= new int[0];
  CLASSE att_classe;
  METHODE att_meth;
  TDC att_tdc;
  DTYPE att_htype;
  String att_code;
  LPARAMS att_params;
  AbstractMachine att_machine;
  DTYPE att_type;
  TDS att_tds;
  LEX_MJAVA att_scanner;
  private void regle45() throws Exception {

    //declaration
    S_OPADD_MJAVA x_2 = new S_OPADD_MJAVA(scanner) ;
    S_T_MJAVA x_4 = new S_T_MJAVA(scanner) ;
    S_ESX_MJAVA x_6 = new S_ESX_MJAVA(scanner) ;
    //appel
      action_auto_inh_45(x_2, x_4, x_6);
    x_2.analyser() ;
      action_type1_45(x_2, x_4, x_6);
    x_4.analyser() ;
      action_type2_45(x_2, x_4, x_6);
    x_6.analyser() ;
      action_gen_45(x_2, x_4, x_6);
  }
  private void regle46() throws Exception {

    //declaration
    //appel
      action_type_46();
      action_gen_46();
  }
private void action_type2_45(S_OPADD_MJAVA x_2, S_T_MJAVA x_4, S_ESX_MJAVA x_6) throws Exception {
try {
// locales
DTYPE loc_t;
// instructions
loc_t=x_2.att_type;
if ((!(loc_t.compareTo(x_4.att_type)))){
att_scanner._interrompre(IProblem.Semantic, att_scanner.getBeginLine(), IMJAVAMessages.id_M_op_unattended_type, MJAVAMessages.M_op_unattended_type,new Object[]{""+loc_t, ""+x_4.att_type.getNom()});

}

this.att_type=loc_t;
x_6.att_htype=loc_t;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type1_45(S_OPADD_MJAVA x_2, S_T_MJAVA x_4, S_ESX_MJAVA x_6) throws Exception {
try {
// instructions
if ((!(this.att_htype.compareTo(x_2.att_type)))){
att_scanner._interrompre(IProblem.Semantic, att_scanner.getBeginLine(), IMJAVAMessages.id_M_op_unattended_type, MJAVAMessages.M_op_unattended_type,new Object[]{""+this.att_htype.getNom(), ""+x_2.att_type.getNom()});

}

}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_46() throws Exception {
try {
// instructions
this.att_type=this.att_htype;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_auto_inh_45(S_OPADD_MJAVA x_2, S_T_MJAVA x_4, S_ESX_MJAVA x_6) throws Exception {
try {
// instructions
x_4.att_tdc=this.att_tdc;
x_6.att_tdc=this.att_tdc;
x_4.att_classe=this.att_classe;
x_6.att_classe=this.att_classe;
x_4.att_params=this.att_params;
x_6.att_params=this.att_params;
x_4.att_tds=this.att_tds;
x_6.att_tds=this.att_tds;
x_4.att_meth=this.att_meth;
x_6.att_meth=this.att_meth;
x_2.att_machine=this.att_machine;
x_4.att_machine=this.att_machine;
x_6.att_machine=this.att_machine;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_46() throws Exception {
try {
// instructions
this.att_code="";
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_45(S_OPADD_MJAVA x_2, S_T_MJAVA x_4, S_ESX_MJAVA x_6) throws Exception {
try {
// instructions
this.att_code=this.att_machine.genLectureMem(x_4.att_code, x_4.att_type, x_4.att_est_valeur)+x_2.att_code+x_6.att_code;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
  public void analyser () throws Exception {
    scanner.lit ( 1 ) ;
    switch ( scanner.fenetre[0].code ) {
      case LEX_MJAVA.token_plus : // 146
        regle45 () ;
      break ;
      case LEX_MJAVA.token_moins : // 147
        regle45 () ;
      break ;
      case LEX_MJAVA.token_ou : // 148
        regle45 () ;
      break ;
      case LEX_MJAVA.token_inf : // 140
        regle46 () ;
      break ;
      case LEX_MJAVA.token_infeg : // 141
        regle46 () ;
      break ;
      case LEX_MJAVA.token_sup : // 142
        regle46 () ;
      break ;
      case LEX_MJAVA.token_supeg : // 143
        regle46 () ;
      break ;
      case LEX_MJAVA.token_eg : // 144
        regle46 () ;
      break ;
      case LEX_MJAVA.token_neg : // 145
        regle46 () ;
      break ;
      case LEX_MJAVA.token_affect : // 124
        regle46 () ;
      break ;
      case LEX_MJAVA.token_virg : // 121
        regle46 () ;
      break ;
      case LEX_MJAVA.token_pv : // 122
        regle46 () ;
      break ;
      case LEX_MJAVA.token_parf : // 116
        regle46 () ;
      break ;
      default :
               scanner._interrompre(IProblem.Syntax, scanner.getBeginLine(), IMJAVAMessages.id_MJAVA_unexpected_token,MJAVAMessages.MJAVA_unexpected_token,new String[]{scanner.fenetre[0].getNom()});
    }
  }
  }
