package mjc.egg;
import mjc.compiler.*;
import mjc.gc.*;
import mjc.lib.*;
import mjc.lib.type.*;
import mjc.lib.classe.*;
import mg.egg.eggc.compiler.libjava.lex.*;
import mg.egg.eggc.compiler.libjava.*;
import mg.egg.eggc.compiler.libjava.problem.IProblem;
import java.util.Vector;
public class S_F_MJAVA {
LEX_MJAVA scanner;
  S_F_MJAVA() {
    }
  S_F_MJAVA(LEX_MJAVA scanner) {
    this.scanner = scanner;
    this.att_scanner = scanner;
    }
int [] sync= new int[0];
  boolean att_est_valeur;
  CLASSE att_classe;
  METHODE att_meth;
  TDC att_tdc;
  String att_code;
  LPARAMS att_params;
  AbstractMachine att_machine;
  DTYPE att_type;
  TDS att_tds;
  LEX_MJAVA att_scanner;
  POINTEUR glob_66_p;
  PARAM glob_67_p;
  PARAM glob_67_a;
  METHODE glob_66_m;
  VARIABLE glob_67_v;
  LPARAMS glob_66_lp;
  private void regle60() throws Exception {

    //declaration
    S_OPUN_MJAVA x_2 = new S_OPUN_MJAVA(scanner) ;
    S_F_MJAVA x_3 = new S_F_MJAVA(scanner) ;
    //appel
      action_auto_inh_60(x_2, x_3);
    x_2.analyser() ;
    x_3.analyser() ;
      action_type_60(x_2, x_3);
      action_gen_60(x_2, x_3);
  }
  private void regle66() throws Exception {

    //declaration
    T_MJAVA x_2 = new T_MJAVA(scanner ) ;
    S_TYPE_MJAVA x_3 = new S_TYPE_MJAVA(scanner) ;
    T_MJAVA x_5 = new T_MJAVA(scanner ) ;
    S_ARGS_MJAVA x_7 = new S_ARGS_MJAVA(scanner) ;
    T_MJAVA x_9 = new T_MJAVA(scanner ) ;
    //appel
      action_auto_inh_66(x_3, x_7);
    x_2.analyser(LEX_MJAVA.token_nouveau);
    x_3.analyser() ;
      action_type_66(x_3, x_7);
    x_5.analyser(LEX_MJAVA.token_paro);
      action_arg_66(x_3, x_7);
    x_7.analyser() ;
      action_tds_66(x_3, x_7);
    x_9.analyser(LEX_MJAVA.token_parf);
      action_gen_66(x_3, x_7);
  }
  private void regle58() throws Exception {

    //declaration
    T_MJAVA x_2 = new T_MJAVA(scanner ) ;
    //appel
    x_2.analyser(LEX_MJAVA.token_vrai);
      action_type_58();
      action_gen_58();
  }
  private void regle67() throws Exception {

    //declaration
    T_MJAVA x_2 = new T_MJAVA(scanner ) ;
    S_Q_MJAVA x_4 = new S_Q_MJAVA(scanner) ;
    //appel
      action_auto_inh_67(x_2, x_4);
    x_2.analyser(LEX_MJAVA.token_ident);
      action_init_67(x_2, x_4);
    x_4.analyser() ;
      action_type_67(x_2, x_4);
      action_gen_67(x_2, x_4);
  }
  private void regle57() throws Exception {

    //declaration
    T_MJAVA x_2 = new T_MJAVA(scanner ) ;
    //appel
    x_2.analyser(LEX_MJAVA.token_entier);
      action_type_57(x_2);
      action_gen_57(x_2);
  }
  private void regle64() throws Exception {

    //declaration
    T_MJAVA x_2 = new T_MJAVA(scanner ) ;
    //appel
    x_2.analyser(LEX_MJAVA.token_null);
      action_type_64();
      action_gen_64();
  }
  private void regle65() throws Exception {

    //declaration
    T_MJAVA x_2 = new T_MJAVA(scanner ) ;
    S_E_MJAVA x_3 = new S_E_MJAVA(scanner) ;
    T_MJAVA x_4 = new T_MJAVA(scanner ) ;
    //appel
      action_auto_inh_65(x_3);
    x_2.analyser(LEX_MJAVA.token_paro);
    x_3.analyser() ;
    x_4.analyser(LEX_MJAVA.token_parf);
      action_type_65(x_3);
      action_gen_65(x_3);
  }
  private void regle59() throws Exception {

    //declaration
    T_MJAVA x_2 = new T_MJAVA(scanner ) ;
    //appel
    x_2.analyser(LEX_MJAVA.token_faux);
      action_type_59();
      action_gen_59();
  }
private void action_type_65(S_E_MJAVA x_3) throws Exception {
try {
// instructions
this.att_type=x_3.att_type;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_arg_66(S_TYPE_MJAVA x_3, S_ARGS_MJAVA x_7) throws Exception {
try {
// instructions
glob_66_lp= new LPARAMS();
x_7.att_a_params=glob_66_lp;
x_7.att_num=1;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_66(S_TYPE_MJAVA x_3, S_ARGS_MJAVA x_7) throws Exception {
try {
// locales
DTYPE loc_t;
// instructions
loc_t=x_3.att_type;
if (loc_t instanceof POINTEUR ){
glob_66_p=((POINTEUR)loc_t);
this.att_type=glob_66_p;
}
else {
att_scanner._interrompre(IProblem.Semantic, att_scanner.getBeginLine(), IMJAVAMessages.id_M_decl_type_mismatch_error, MJAVAMessages.M_decl_type_mismatch_error,new Object[]{""+"pointeur", ""+x_3.att_type.getNom()});


}
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_57(T_MJAVA x_2) throws Exception {
try {
// instructions
this.att_type= new ENTIER();
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_67(T_MJAVA x_2, S_Q_MJAVA x_4) throws Exception {
try {
// locales
LPARAMS loc_la;
DTYPE loc_t;
// instructions
loc_t=null;
if ((x_4.att_type!=null)){
loc_t=x_4.att_type;
}
else {
glob_67_v=this.att_tds.chercherGlobalement(x_2.att_txt);
loc_la=this.att_classe.getAttributs();
glob_67_a=loc_la.chercher(x_2.att_txt);
glob_67_p=this.att_params.chercher(x_2.att_txt);
if ((glob_67_v!=null)){
loc_t=glob_67_v.getType();
}
else if ((glob_67_p!=null)){
loc_t=glob_67_p.getType();
}
else if ((glob_67_a!=null)){
loc_t=glob_67_a.getType();
}
else {
att_scanner._interrompre(IProblem.Semantic, att_scanner.getBeginLine(), IMJAVAMessages.id_M_undefined_ident, MJAVAMessages.M_undefined_ident,new Object[]{""+x_2.att_txt});

}
}
this.att_type=loc_t;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_init_67(T_MJAVA x_2, S_Q_MJAVA x_4) throws Exception {
try {
// instructions
x_4.att_idt=x_2.att_txt;
x_4.att_htype=null;
x_4.att_hclasse=this.att_classe;
x_4.att_hcode="";
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_auto_inh_65(S_E_MJAVA x_3) throws Exception {
try {
// instructions
x_3.att_tdc=this.att_tdc;
x_3.att_classe=this.att_classe;
x_3.att_params=this.att_params;
x_3.att_tds=this.att_tds;
x_3.att_meth=this.att_meth;
x_3.att_machine=this.att_machine;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_auto_inh_67(T_MJAVA x_2, S_Q_MJAVA x_4) throws Exception {
try {
// instructions
x_4.att_tdc=this.att_tdc;
x_4.att_classe=this.att_classe;
x_4.att_params=this.att_params;
x_4.att_tds=this.att_tds;
x_4.att_meth=this.att_meth;
x_4.att_machine=this.att_machine;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_auto_inh_66(S_TYPE_MJAVA x_3, S_ARGS_MJAVA x_7) throws Exception {
try {
// instructions
x_3.att_tdc=this.att_tdc;
x_7.att_tdc=this.att_tdc;
x_7.att_classe=this.att_classe;
x_7.att_params=this.att_params;
x_7.att_tds=this.att_tds;
x_7.att_meth=this.att_meth;
x_7.att_machine=this.att_machine;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_64() throws Exception {
try {
// instructions
this.att_type= new NULL();
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_66(S_TYPE_MJAVA x_3, S_ARGS_MJAVA x_7) throws Exception {
try {
// instructions
this.att_code=this.att_machine.genAppelConstructeur(x_3.att_type, glob_66_m, x_7.att_code);
this.att_est_valeur=true;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_65(S_E_MJAVA x_3) throws Exception {
try {
// instructions
this.att_code=x_3.att_code;
this.att_est_valeur=true;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_64() throws Exception {
try {
// instructions
this.att_code=this.att_machine.genNull();
this.att_est_valeur=true;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_59() throws Exception {
try {
// instructions
this.att_code=this.att_machine.genFaux();
this.att_est_valeur=true;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_58() throws Exception {
try {
// instructions
this.att_code=this.att_machine.genVrai();
this.att_est_valeur=true;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_57(T_MJAVA x_2) throws Exception {
try {
// instructions
this.att_code=this.att_machine.genEntier(x_2.att_txt);
this.att_est_valeur=true;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_58() throws Exception {
try {
// instructions
this.att_type= new BOOLEEN();
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_60(S_OPUN_MJAVA x_2, S_F_MJAVA x_3) throws Exception {
try {
// instructions
this.att_code=this.att_machine.genLectureMem(x_3.att_code, x_3.att_type, x_3.att_est_valeur)+x_2.att_code;
this.att_est_valeur=true;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_tds_66(S_TYPE_MJAVA x_3, S_ARGS_MJAVA x_7) throws Exception {
try {
// locales
CLASSE loc_c;
LMETHODES loc_lm;
// instructions
loc_c=glob_66_p.getClasse();
loc_lm=loc_c.getMethodes();
glob_66_m= new METHODE(loc_c.getNom(), null, glob_66_lp);
glob_66_m=loc_lm.chercher(glob_66_m);
if ((glob_66_m==null&&(glob_66_lp.size()!=0))){
att_scanner._interrompre(IProblem.Semantic, att_scanner.getBeginLine(), IMJAVAMessages.id_M_undefined_cstr, MJAVAMessages.M_undefined_cstr,new Object[]{""+loc_c.getNom(), ""+glob_66_lp.erreur()});

}

}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_59() throws Exception {
try {
// instructions
this.att_type= new BOOLEEN();
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_auto_inh_60(S_OPUN_MJAVA x_2, S_F_MJAVA x_3) throws Exception {
try {
// instructions
x_3.att_tdc=this.att_tdc;
x_3.att_classe=this.att_classe;
x_3.att_params=this.att_params;
x_3.att_tds=this.att_tds;
x_3.att_meth=this.att_meth;
x_2.att_machine=this.att_machine;
x_3.att_machine=this.att_machine;
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_gen_67(T_MJAVA x_2, S_Q_MJAVA x_4) throws Exception {
try {
// instructions
this.att_code=x_4.att_code;
this.att_est_valeur=x_4.att_est_valeur;
if ((glob_67_v!=null)){
this.att_code=this.att_machine.genAdresseVariable(glob_67_v);
this.att_est_valeur=false;
}
else if ((glob_67_p!=null)){
this.att_code=this.att_machine.genAdresseParam(glob_67_p);
this.att_est_valeur=false;
}
else if ((glob_67_a!=null)){
this.att_code=this.att_machine.genEmpilerThis(this.att_meth)+this.att_machine.genAdresseAttribut(glob_67_a);
this.att_est_valeur=false;
}

}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
private void action_type_60(S_OPUN_MJAVA x_2, S_F_MJAVA x_3) throws Exception {
try {
// instructions
if ((!(x_2.att_type.compareTo(x_3.att_type)))){
att_scanner._interrompre(IProblem.Semantic, att_scanner.getBeginLine(), IMJAVAMessages.id_M_op_unattended_type, MJAVAMessages.M_op_unattended_type,new Object[]{""+x_3.att_type.getNom(), ""+x_2.att_type.getNom()});

}
else {
this.att_type=x_3.att_type;
}
}catch(RuntimeException e) {		//e.printStackTrace();
	}
  }
  public void analyser () throws Exception {
    scanner.lit ( 1 ) ;
    switch ( scanner.fenetre[0].code ) {
      case LEX_MJAVA.token_entier : // 159
        regle57 () ;
      break ;
      case LEX_MJAVA.token_vrai : // 154
        regle58 () ;
      break ;
      case LEX_MJAVA.token_faux : // 155
        regle59 () ;
      break ;
      case LEX_MJAVA.token_plus : // 146
        regle60 () ;
      break ;
      case LEX_MJAVA.token_moins : // 147
        regle60 () ;
      break ;
      case LEX_MJAVA.token_non : // 153
        regle60 () ;
      break ;
      case LEX_MJAVA.token_null : // 139
        regle64 () ;
      break ;
      case LEX_MJAVA.token_paro : // 115
        regle65 () ;
      break ;
      case LEX_MJAVA.token_nouveau : // 134
        regle66 () ;
      break ;
      case LEX_MJAVA.token_ident : // 160
        regle67 () ;
      break ;
      default :
               scanner._interrompre(IProblem.Syntax, scanner.getBeginLine(), IMJAVAMessages.id_MJAVA_unexpected_token,MJAVAMessages.MJAVA_unexpected_token,new String[]{scanner.fenetre[0].getNom()});
    }
  }
  }
