package mjc.lib.classe;
import java.util.ArrayList;

public class LMETHODES extends ArrayList<METHODE> {

	private static final long serialVersionUID = 1L;
	
	public void inserer(METHODE p){
		add(p);
	}
	
	public METHODE chercher(METHODE m){
		for(METHODE mt : this){
			if (m.compareTo(mt)){
				return mt;
			}
		}
		return null;
	}
	
	public int indice(METHODE m) {
		int retour = 0;
		for(METHODE mt : this) {
			if(m.compareTo(mt)) {
				return retour;
			}
			if(mt.getType() != null && !mt.getNom().equals("main")) {
				retour ++;
			}
		}
		return 0;
	}
	
	public void remplacer(METHODE ancienne, METHODE nouvelle) {
		int index = this.indexOf(ancienne);
		this.remove(ancienne);
		this.add(index,nouvelle);
	}
}
